package client

type response map[string]BookDetails

type BookDetails struct {
	Authors         []Authors       `json:"authors"`
	Classifications Classifications `json:"classifications"`
	Cover           Cover           `json:"cover"`
	Excerpts        []Excerpts      `json:"excerpts"`
	Identifiers     Identifiers     `json:"identifiers"`
	Links           []Links         `json:"links"`
	NumberOfPages   int             `json:"number_of_pages"`
	PublishDate     string          `json:"publish_date"`
	Publishers      []Publishers    `json:"publishers"`
	PublishPlaces   []PublishPlaces `json:"publish_places"`
	Subjects        []Subjects      `json:"subjects"`
	Title           string          `json:"title"`
	URL             string          `json:"url"`
	Weight          string          `json:"weight"`
}

type Authors struct {
	Name string `json:"name"`
	URL  string `json:"url"`
}

type Classifications struct {
	DeweyDecimalClass []string `json:"dewey_decimal_class"`
	LcClassifications []string `json:"lc_classifications"`
}

type Cover struct {
	Small  string `json:"small"`
	Medium string `json:"medium"`
	Large  string `json:"large"`
}

type Excerpts struct {
	Text    string `json:"text"`
	Comment string `json:"comment"`
}

type Identifiers struct {
	Amazon           []string `json:"amazon"`
	Goodreads        []string `json:"goodreads"`
	Google           []string `json:"google"`
	ISBN10           []string `json:"isbn_10"`
	ISBN13           []string `json:"isbn_13"`
	LCCN             []string `json:"lccn"`
	LibraryThing     []string `json:"librarything"`
	OCLC             []string `json:"oclc"`
	ProjectGutenberg []string `json:"project_gutenberg"`
}

type Links struct {
	Title string `json:"title"`
	URL   string `json:"url"`
}

type Publishers struct {
	Name string `json:"name"`
}

type PublishPlaces struct {
	Name string `json:"name"`
}

type Subjects struct {
	Name string `json:"name"`
	URL  string `json:"url"`
}
